org.springframework.aop.support

## Class ClassFilters

- java.lang.Object
- - org.springframework.aop.support.ClassFilters

    public abstract class ClassFilters
    extends Object

Static utility methods for composing `ClassFilters`.

Since:
  11.11.2003
Author:
  Rod Johnson, Rob Harrop, Juergen Hoeller
See Also:
  `MethodMatchers`, `Pointcuts`

### Constructor Summary

Constructors
Constructor and Description
`ClassFilters()`

### Method Summary

Methods
`static ClassFilter` `intersection(ClassFilter[] classFilters)` Match all classes that all of the given ClassFilters match.
`static ClassFilter` `intersection(ClassFilter cf1, ClassFilter cf2)` Match all classes that both of the given ClassFilters match.
`static ClassFilter` `union(ClassFilter[] classFilters)` Match all classes that either (or all) of the given ClassFilters matches.
`static ClassFilter` `union(ClassFilter cf1, ClassFilter cf2)` Match all classes that either (or both) of the given ClassFilters matches.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassFilters

    public ClassFilters()

### Method Detail

#### union

    public static ClassFilter union(ClassFilter cf1,
                    ClassFilter cf2)

Match all classes that either (or both) of the given ClassFilters matches.

Parameters:
  `cf1` - the first ClassFilter
  `cf2` - the second ClassFilter
Returns:
  a distinct ClassFilter that matches all classes that either of the given ClassFilter matches

#### union

    public static ClassFilter union(ClassFilter[] classFilters)

Match all classes that either (or all) of the given ClassFilters matches.

Parameters:
  `classFilters` - the ClassFilters to match
Returns:
  a distinct ClassFilter that matches all classes that either of the given ClassFilter matches

#### intersection

    public static ClassFilter intersection(ClassFilter cf1,
                           ClassFilter cf2)

Match all classes that both of the given ClassFilters match.

Parameters:
  `cf1` - the first ClassFilter
  `cf2` - the second ClassFilter
Returns:
  a distinct ClassFilter that matches all classes that both of the given ClassFilter match

#### intersection

    public static ClassFilter intersection(ClassFilter[] classFilters)

Match all classes that all of the given ClassFilters match.

Parameters:
  `classFilters` - the ClassFilters to match
Returns:
  a distinct ClassFilter that matches all classes that both of the given ClassFilter match